{{- if .Values.gmpDatasourceSyncer.enabled }}
{{- range .Values.gmpDatasourceSyncer.datasources }}
---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: datasource-syncer-{{ .googleProjectID }}
spec:
  schedule: "*/10 * * * *" # Run once every 10 minutes, must run at least once an hour.
  jobTemplate:
    spec:
      template:
        metadata:
          labels:
            app: datasource-syncer
            googleProjectID: {{ .googleProjectID }}
        spec:
          affinity:
            nodeAffinity:
              requiredDuringSchedulingIgnoredDuringExecution:
                nodeSelectorTerms:
                - matchExpressions:
                  - key: kubernetes.io/arch
                    operator: In
                    values:
                    - arm64
                    - amd64
                  - key: kubernetes.io/os
                    operator: In
                    values:
                    - linux
          containers:
          - name: datasource-syncer
            image: gke.gcr.io/prometheus-engine/datasource-syncer:{{ $.Values.gmpDatasourceSyncer.image.tag }}
            args:
            - "--datasource-uids=$(DATASOURCE_UIDS)"
            - "--grafana-api-endpoint=$(GRAFANA_API_ENDPOINT)"
            - "--grafana-api-token=$(GRAFANA_API_TOKEN)"
            - "--project-id=$(PROJECT_ID)"
            env:
            - name: PROJECT_ID
              value: {{ .googleProjectID }}
            - name: DATASOURCE_UIDS
              value: {{ .datasourceUID }}
            - name: GRAFANA_API_ENDPOINT
              value: {{ $.Values.gmpDatasourceSyncer.cronJob.grafanaURL }}
            - name: GRAFANA_API_TOKEN
              valueFrom:
                secretKeyRef:
                  name: {{ $.Values.gmpDatasourceSyncer.cronJob.grafanaTokenSecretName }}
                  key: {{ $.Values.gmpDatasourceSyncer.cronJob.grafanaTokenSecretKey }}
          restartPolicy: Never
          serviceAccountName: {{ $.Values.gmpDatasourceSyncer.serviceAccount.name }}
          automountServiceAccountToken: true
{{- end }}
{{- end }}
